
From: Anton Blanchard <anton@samba.org>

Small obvious fix to ppc32_timer_create.  Since sys_timer_create access
structures we pass on the stack, we need set_fs(KERNEL_DS).



---

 arch/ppc64/kernel/sys_ppc32.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-ppc32_timer_create arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-ppc32_timer_create	2004-01-21 10:43:02.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2004-01-21 10:43:02.000000000 -0800
@@ -2845,6 +2845,7 @@ long ppc32_timer_create(clockid_t clock,
 		return -EFAULT;
 
 	savefs = get_fs();
+	set_fs(KERNEL_DS);
 	err = sys_timer_create(clock, &event, &t);
 	set_fs(savefs);
 

_
